/*
 * SPDX-FileCopyrightText: 2021 Software Ingenieur Begerad <swingbe.de>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

//11ty config file
module.exports = config => {

    //the addPassthroughCopy function takes globs of any sort
    //and can be used multiple times
    config.addPassthroughCopy("./src/style");

    //get eleventy to notice changes in the stylce dir
    config.addWatchTarget("./src/style");

    //return some settings
    return {

	//tell 11ty that markdown, data and HTML files are processed by Nunjucks.js
	markdownTemplateEngine: 'njk',
	dataTemplateEngine: 'njk',
	htmlTemplateEngine: 'njk',

	//tell 11ty to look in the src folder for content, templates and other source code and
	//use dist as output folder
	dir: {
	    input: 'src',
	    output: 'dist'
	}
    };
};
